<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('service_roles', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->enum('type', ['FIX', 'RATIO'])->nullable()->comment("收益类型");
            $table->decimal('value', 7,2);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('service_roles');
    }
};
